SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Forum/Board/Portal)  >   Clansys Vendors:   Fischbach, Hauke et al
Clansys Input Validation Holes in 'page' Parameter and Search Function Permit Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1015934
SecurityTracker URL:  http://securitytracker.com/id/1015934
CVE Reference:   CVE-2006-2367, CVE-2006-2368   (Links to External Site)
Updated:  Nov 27 2009
Original Entry Date:  Apr 14 2006
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.1 and prior versions
Description:   A vulnerability was reported in Clansys. A remote user can conduct cross-site scripting attacks.

The 'index.php' script does not properly filter HTML code from user-supplied input in the 'page' parameter before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the Clansys software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://[target]/path/index.php?page="><script>alert(/Soot/)</script>

The search function is also affected.

The original advisory is available at:

http://soot.shabgard.org/bugs/Clansys.txt

Soot from Shabgard Security Team discovered this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Clansys software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.clansys.de.vu/ (Links to External Site)
Cause:   Input validation error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Date:  12 Apr 2006 22:47:55 -0000
Subject:  Clansys Multiple Xss Vulnerabilities

---------------------------------------------
 Clansys v.1.1 Multiple Xss Vulnerabilities
---------------------------------------------

 Bug:
 Clansys v.1.0
  1- http://victim/path/index.php?page=archiv&func=search 
     "><script>alert(/Soot/)</script>

 Clansys v.1.1
  1- http://victim/path/index.php?page="><script>alert(/Soot/)</script>

  2- http://victim/path/index.php?page=archiv&func=search 
     "><script>alert(/Soot/)</script>

---------------------------------------------
 Source :
  http://soot.shabgard.org/bugs/Clansys.txt

 Credit :
  Soot 
  Shabgard Security Team
  http://www.shabgard.org 

 Greetz : 
  Hregy,Elite,Bl2k,Littlehacker
---------------------------------------------

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC